complexType "FxDisruption"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-fx-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | baseCurrency?, referenceCurrency?, provisions*
</...>

Content Model Elements (3):

  baseCurrency (in disruption), provisions, | referenceCurrency (in disruption)

All Direct / Indirect Based Elements (1):

  disruption

Known Usage Locations

- As direct type of elements (1):
  disruption

Annotation
A structure describing how disruption for a specified currency pair should be handled
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="FxDisruption"> <xsd:sequence> <xsd:element minOccurs="0" name="baseCurrency" type="Currency"/> <xsd:element minOccurs="0" name="referenceCurrency" type="Currency"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="provisions" type="FxDisruptionProvisions"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
baseCurrency

  Type: | Currency, simple content

  The base currency in the exchange rate monitored for disruption events. Typically this will be the settlement currency, but coud be an intermediate currency, in the case where disruption provisions are defined for components of a cross rate.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="baseCurrency" type="Currency"/>

provisions

  Type: | FxDisruptionProvisions, complex content

  One or more provisions describiing disruption events and how they will be handled.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="provisions" type="FxDisruptionProvisions"/>

referenceCurrency

  Type: | Currency, simple content

  The reference currency in the exchange rate being monitored for disruption events.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="referenceCurrency" type="Currency"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.